/ RichTextEditor / Globalization
Search results

Globalization in Vue RichTextEditor component

20 Mar 2023 / 9 minutes to read

Localization

The Rich Text Editor provides an option to localize its strings; it is used to adapting the editor to a particular local language. By default, the editor will use the US English (en-US) as its language. Please find the table with a list of keys and their corresponding values for the default language (en-US).

Copied to clipboard
    'en-US': {
        'richtexteditor': {
            "alignments": "Alignments",
            "justifyleft": "JustifyLeft",
            "justifycenter": "JustifyCenter",
            "justifyright": "Justify Right",
            "justifyfull": "Justify Full",
            "formats": "Formats",
            "fontname": "Font Name",
            "fontsize": "Font Size",
            "fontcolor": "Font Color",
            "backgroundcolor": "Background color",
            "bold": "Bold",
            "italic": "Italic",
            "underline": "Underline",
            "strikethrough": "Strikethrough",
            "clearall": "Clear All",
            "clearformat": "Clear Format",
            "cut": "Cut",
            "copy": "Copy",
            "paste": "Paste",
            "unorderedlist": "unordered list",
            "orderedlist": "ordered list",
            "indent": "Increase Indent",
            "outdent": "Decrease Indent",
            "undo": "Undo",
            "redo": "Redo",
            "superscript": "Superscript",
            "subscript": "Subscript",
            "createlink": "Insert link",
            "removelink": "remove link",
            "openlink": "Open link",
            "editlink": "Edit link",
            "image": "Insert image",
            "replace": "Replace",
            "align": "Align",
            "caption": "Caption",
            "remove": "Remove",
            "insertlink": "insertlink",
            "display": "Display",
            "alttext": "Alternative Text",
            "dimension": "Dimension",
            "fullscreen": "Full Screen",
            "maximize": "Maximize",
            "minimize": "Minimize",
            "zoomin": "Zoom In",
            "zoomout": "Zoom Out",
            "uppercase": "Upper Case",
            "lowercase": "Lower Case",
            "print": "Print",
            "sourcecode": "Source Code",
            "preview": "Preview",
            "viewside": "View Side",
            "insertcode": "Insert Code",
            "linkText": "Display Text",
            "linkTooltipLabel": "Title",
            "linkWebUrl": "Web Address",
            "linkTitle": "Enter a title",
            "linkOpenInNewWindow": "Open Link in New Window",
            "linkHeader": "Insert Link",
            "dialogInsert": "Insert",
            "dialogCancel": "Cancel",
            "dialogUpdate": "Update",
            "imageHeader": "Insert Image",
            "imageLinkHeader": "You can also provide a link from the web",
            "mdimageLink": "Please provide a URL for your image",
            "imageUploadMessage": "Drop image here or browse to upload",
            "imageDeviceUploadMessage": "Click here to upload",
            "imageAlternateText": "Alternate Text",
            "alternateHeader": "Alternative Text",
            "browse": "Browse",
            "imageCaption": "Caption",
            "imageSizeHeader": "Image Size",
            "imageHeight": "Height",
            "imageWidth": "Width",
            "textPlaceholder": "Enter Text",
            "inserttablebtn": "Insert Table",
            "tabledialogHeader": "Insert Table",
            "tableWidth": "Width",
            "cellpadding": "Cell Padding",
            "cellspacing": "Cell Spacing",
            "columns": "Number of columns",
            "rows": "Number of rows",
            "tableRows": "Table Rows",
            "tableColumns": "Table Columns",
            "tableCellHorizontalAlign": "Table Cell Horizontal Align",
            "tableCellVerticalAlign": "Table Cell Vertical Align",
            "createTable": "Create Table",
            "removeTable": "Remove Table",
            "tableHeader": "Table Header",
            "tableRemove": "Table Remove",
            "tableCellBackground": "Table Cell Background",
            "tableEditProperties": "Table Edit Properties",
            "styles": "Styles",
            "insertColumnLeft": "Insert Column Left",
            "insertColumnRight": "Insert Column Right",
            "deleteColumn": "Delete Column",
            "insertRowBefore": "Insert Row Before",
            "insertRowAfter": "Insert Row After",
            "deleteRow": "Delete Row",
            "tableEditHeader": "Edit Table",
            "TableHeadingText": "Heading",
            "TableColText": "Col",
            "imageInsertLinkHeader": "Insert Link",
            "editImageHeader": "Edit Image",
            "alignmentsDropDownLeft": "Align Left",
            "alignmentsDropDownCenter": "Align Center",
            "alignmentsDropDownRight": "Align Right",
            "alignmentsDropDownJustify": "Align Justify",
            "imageDisplayDropDownInline": "Inline",
            "imageDisplayDropDownBreak": "Break",
            "tableInsertRowDropDownBefore": "Insert row before",
            "tableInsertRowDropDownAfter": "Insert row after",
            "tableInsertRowDropDownDelete": "Delete row",
            "tableInsertColumnDropDownLeft": "Insert column left",
            "tableInsertColumnDropDownRight": "Insert column right",
            "tableInsertColumnDropDownDelete": "Delete column",
            "tableVerticalAlignDropDownTop": "Align Top",
            "tableVerticalAlignDropDownMiddle": "Align Middle",
            "tableVerticalAlignDropDownBottom": "Align Bottom",
            "tableStylesDropDownDashedBorder": "Dashed Borders",
            "tableStylesDropDownAlternateRows": "Alternate Rows",
            "pasteFormat": "Paste Format",
            "pasteFormatContent": "Choose the formatting action",
            "plainText": "Plain Text",
            "cleanFormat": "Clean",
            "keepFormat": "Keep",
            "formatsDropDownParagraph": "Paragraph",
            "formatsDropDownCode": "Code",
            "formatsDropDownQuotation": "Quotation",
            "formatsDropDownHeading1": "Heading 1",
            "formatsDropDownHeading2": "Heading 2",
            "formatsDropDownHeading3": "Heading 3",
            "formatsDropDownHeading4": "Heading 4",
            "fontNameSegoeUI": "Segoe UI",
            "fontNameArial": "Arial",
            "fontNameGeorgia": "Georgia",
            "fontNameImpact": "Impact",
            "fontNameTahoma": "Tahoma",
            "fontNameTimesNewRoman": "Times New Roman",
            "fontNameVerdana": "Verdana"
        }
    }

To localize the editor’s strings with your own localization, copy the default language informations and localize the strings in the values column. For example, to localize the editor in German language (“de-DE”).

Copied to clipboard
    'de-DE': {
        'richtexteditor': {
            "alignments": "Alignments",
            "justifyLeft": "Ausrichten von Text links",
            "justifyCenter": "Text-Zentrum",
            "justifyRight": "Ausrichten von Text rechts",
            "justifyFull": "rechtfertigen",
            "fontName": "Wählen Sie Schriftfamilie",
            "fontSize": "Wählen Sie Schriftgröße",
            "fontColor": "Wählen Sie die Farbe",
            "backgroundColor": "Hintergrundfarbe",
            "bold": "fett",
            "italic": "kursiv",
            "underline": "unterstreichen",
            "strikethrough": "Durchgestrichen",
            "clearAll": "Alles",
            "clearFormat": "Klar Format",
            "cut": "schneiden",
            "copy": "Kopieren",
            "paste": "Paste",
            "unorderedList": "Legen Sie ungeordnete Liste",
            "orderedList": "Geordnete Liste einfügen",
            "indent": "Einzug",
            "outdent": "Einzug verkleinern",
            "undo": "lösen",
            "redo": "Wiederherstellen",
            "superscript": "Überschrift",
            "subscript": "index",
            "createLink": "Link einfügen",
            "removeLink": "fjern Hyperlink",
            "openLink": "Open link",
            "editLink": "Edit link",
            "image": "Bild einfügen",
            "replace": "ersetzen",
            "align": "ausrichten",
            "caption": "Bildbeschriftung",
            "formats": "Formats",
            "remove": "Löschen",
            "insertLink": "Link einfügen",
            "display": "Anzeige",
            "alttext": "alternativer Text",
            "dimension": "Größe",
            "fullscreen": "Vollbild",
            "maximize": "Maximieren",
            "minimize": "minimieren",
            "zoomIn": "hineinzoomen",
            "zoomOut": "Rauszoomen",
            "upperCase": "Großbuchstaben",
            "lowerCase": "Kleinbuchstaben",
            "print": "Drucken",
            "sourcecode": "Quellcode",
            "preview": "Vorschau",
            "viewside": "Seite anzeigen",
            "insertcode": "Code eingeben",
            "linkText": "Displaytekst",
            "linkTooltipLabel": "tooltip",
            "linkWebUrl": "Webadres",
            "linkOpenInNewWindow": "Open de link in een nieuw venster",
            "linkHeader": "Link invoegen",
            "dialogInsert": "invoegen",
            "dialogCancel": "Annuleer",
            "dialogUpdate": "Bijwerken",
            "imageHeader": "Voeg afbeelding in",
            "imageLinkHeader": "U kunt ook een link van internet opgeven",
            "imageUploadMessage": "Zet hier een afbeelding neer of klik om te uploaden",
            "imageDeviceUploadMessage": "Klik hier om te uploaden",
            "imageAlternateText": "Alternatieve tekst",
            "alternateHeader": "Alternatieve tekst",
            "browse": "Blader",
            "imageUrl": "URL",
            "imageCaption": "onderschrift",
            "imageSizeHeader": "Afbeeldingsgrootte",
            "imageHeight": "Hoogte",
            "imageWidth": "Breedte",
            "textPlaceholder": "Text eingeben",
            "inserttablebtn": "Tabelle einfügen",
            "tabledialogHeader": "Tabelle einfügen",
            "tableWidth": "Breite",
            "cellpadding": "Zellauffüllung",
            "cellspacing": "Zellabstand",
            "columns": "Anzahl der Spalten",
            "rows": "Reihenanzahl",
            "tableRows": "Tabellenzeilen",
            "tableColumns": "Tabellenspalten",
            "tableCellHorizontalAlign": "Horizontale Ausrichtung der Tabellenzelle",
            "tableCellVerticalAlign": "Vertikale Ausrichtung der Tabellenzelle",
            "createTable": "Tabelle erstellen",
            "removeTable": "Tabelle entfernen",
            "tableHeader": "Tabellenkopfzeile",
            "tableRemove": "Tabelle entfernen",
            "tableCellBackground": "Tabellenzellenhintergrund",
            "tableEditProperties": "Eigenschaften der Tabellenbearbeitung",
            "styles": "Styles",
            "insertColumnLeft": "Spalte links einfügen",
            "insertColumnRight": "Spalte rechts einfügen",
            "deleteColumn": "Spalte löschen",
            "insertRowBefore": "Zeile vor einfügen",
            "insertRowAfter": "Zeile einfügen nach",
            "deleteRow": "Zeile löschen",
            "tableEditHeader": "Tabelle bearbeiten",
            "TableHeadingText": "Überschrift",
            "TableColText": "Col",
            "imageInsertLinkHeader": "Link einfügen",
            "editImageHeader": "Bild bearbeiten",
            "alignmentsDropDownLeft": "Linksbündig",
            "alignmentsDropDownCenter": "Im Zentrum anordnen",
            "alignmentsDropDownRight": "Rechts ausrichten",
            "alignmentsDropDownJustify": "Justize ausrichten",
            "imageDisplayDropDownInline": "In der Reihe",
            "imageDisplayDropDownBreak": "Brechen",
            "tableInsertRowDropDownBefore": "Reihe vorher einfügen",
            "tableInsertRowDropDownAfter": "Zeile danach einfügen",
            "tableInsertRowDropDownDelete": "Zeile löschen",
            "tableInsertColumnDropDownLeft": "Spalte links einfügen",
            "tableInsertColumnDropDownRight": "Spalte rechts einfügen",
            "tableInsertColumnDropDownDelete": "Spalte löschen",
            "tableVerticalAlignDropDownTop": "Top ausrichten",
            "tableVerticalAlignDropDownMiddle": "Mitte ausrichten",
            "tableVerticalAlignDropDownBottom": "Unten ausrichten",
            "tableStylesDropDownDashedBorder": "Gestrichelte Grenzen",
            "tableStylesDropDownAlternateRows": "Alternative Zeilen",
            "pasteFormat": "Format einfügen",
            "pasteFormatContent": "Wählen Sie die Formatierungsaktion aus",
            "plainText": "Einfacher Text",
            "cleanFormat": "sauber",
            "keepFormat": "Behalten",
            "formatsDropDownParagraph": "Absatz",
            "formatsDropDownCode": "Kodex",
            "formatsDropDownQuotation": "Zitat",
            "formatsDropDownHeading1": "Überschrift 1",
            "formatsDropDownHeading2": "Überschrift 2",
            "formatsDropDownHeading3": "Überschrift 3",
            "formatsDropDownHeading4": "Überschrift 4",
            "fontNameSegoeUI": "Segoe UI",
            "fontNameArial": "Arial",
            "fontNameGeorgia": "Georgia",
            "fontNameImpact": "Einschlag'",
            "fontNameTahoma": "Tahoma",
            "fontNameTimesNewRoman": "Mal Neu römisch",
            "fontNameVerdana": "Verdana"
        }
    }
Copied to clipboard
<template>
  <ejs-richtexteditor ref="defaultRTE" :height="340" locale="de-DE">
    <p>The Rich Text Editor component is WYSIWYG ("what you see is what you get") editor that provides the best user experience to create and update the content. Users can format their content using standard toolbar commands.</p>
    <p><b>Key features:</b></p>
    <ul>
      <li>
        <p>Provides IFRAME and DIV modes</p>
      </li>
      <li>
        <p>Capable of handling markdown editing.</p>
      </li>
      <li>
        <p>Contains a modular library to load the necessary functionality on demand.</p>
      </li>
      <li>
        <p>Provides a fully customizable toolbar.</p>
      </li>
      <li>
        <p>Provides HTML view to edit the source directly for developers.</p>
      </li>
      <li>
        <p>Supports third-party library integration.</p>
      </li>
      <li>
        <p>Allows preview of modified content before saving it.</p>
      </li>
      <li>
        <p>Handles images, hyperlinks, video, hyperlinks, uploads, etc.</p>
      </li>
    </ul>
  </ejs-richtexteditor>
</template>

<script>
  import Vue from 'vue';
  import { L10n } from '@syncfusion/ej2-base';
  import { RichTextEditorPlugin, Toolbar, Link, Image, HtmlEditor, QuickToolbar } from '@syncfusion/ej2-vue-richtexteditor';

  L10n.load({
    'de-DE': {
      'richtexteditor': {
        "alignments": "Alignments",
        "justifyLeft": "Ausrichten von Text links",
        "justifyCenter": "Text-Zentrum",
        "justifyRight": "Ausrichten von Text rechts",
        "justifyFull": "rechtfertigen",
        "fontName": "Wählen Sie Schriftfamilie",
        "fontSize": "Wählen Sie Schriftgröße",
        "fontColor": "Wählen Sie die Farbe",
        "backgroundColor": "Hintergrundfarbe",
        "bold": "fett",
        "italic": "kursiv",
        "underline": "unterstreichen",
        "strikethrough": "Durchgestrichen",
        "clearAll": "Alles",
        "clearFormat": "Klar Format",
        "cut": "schneiden",
        "copy": "Kopieren",
        "paste": "Paste",
        "unorderedList": "Legen Sie ungeordnete Liste",
        "orderedList": "Geordnete Liste einfügen",
        "indent": "Einzug",
        "outdent": "Einzug verkleinern",
        "undo": "lösen",
        "redo": "Wiederherstellen",
        "superscript": "Überschrift",
        "subscript": "index",
        "createLink": "Link einfügen",
        "removeLink": "fjern Hyperlink",
        "openLink": "Open link",
        "editLink": "Edit link",
        "image": "Bild einfügen",
        "replace": "ersetzen",
        "align": "ausrichten",
        "caption": "Bildbeschriftung",
        "formats": "Formats",
        "remove": "Löschen",
        "insertLink": "Link einfügen",
        "display": "Anzeige",
        "alttext": "alternativer Text",
        "dimension": "Größe",
        "fullscreen": "Vollbild",
        "maximize": "Maximieren",
        "minimize": "minimieren",
        "zoomIn": "hineinzoomen",
        "zoomOut": "Rauszoomen",
        "upperCase": "Großbuchstaben",
        "lowerCase": "Kleinbuchstaben",
        "print": "Drucken",
        "sourcecode": "Quellcode",
        "preview": "Vorschau",
        "viewside": "Seite anzeigen",
        "insertcode": "Code eingeben",
        "linkText": "Displaytekst",
        "linkTooltipLabel": "tooltip",
        "linkWebUrl": "Webadres",
        "linkOpenInNewWindow": "Open de link in een nieuw venster",
        "linkHeader": "Link invoegen",
        "dialogInsert": "invoegen",
        "dialogCancel": "Annuleer",
        "dialogUpdate": "Bijwerken",
        "imageHeader": "Voeg afbeelding in",
        "imageLinkHeader": "U kunt ook een link van internet opgeven",
        "imageUploadMessage": "Zet hier een afbeelding neer of klik om te uploaden",
        "imageDeviceUploadMessage": "Klik hier om te uploaden",
        "imageAlternateText": "Alternatieve tekst",
        "alternateHeader": "Alternatieve tekst",
        "browse": "Blader",
        "imageUrl": "URL",
        "imageCaption": "onderschrift",
        "imageSizeHeader": "Afbeeldingsgrootte",
        "imageHeight": "Hoogte",
        "imageWidth": "Breedte",
        "textPlaceholder": "Text eingeben",
        "inserttablebtn": "Tabelle einfügen",
        "tabledialogHeader": "Tabelle einfügen",
        "tableWidth": "Breite",
        "cellpadding": "Zellauffüllung",
        "cellspacing": "Zellabstand",
        "columns": "Anzahl der Spalten",
        "rows": "Reihenanzahl",
        "tableRows": "Tabellenzeilen",
        "tableColumns": "Tabellenspalten",
        "tableCellHorizontalAlign": "Horizontale Ausrichtung der Tabellenzelle",
        "tableCellVerticalAlign": "Vertikale Ausrichtung der Tabellenzelle",
        "createTable": "Tabelle erstellen",
        "removeTable": "Tabelle entfernen",
        "tableHeader": "Tabellenkopfzeile",
        "tableRemove": "Tabelle entfernen",
        "tableCellBackground": "Tabellenzellenhintergrund",
        "tableEditProperties": "Eigenschaften der Tabellenbearbeitung",
        "styles": "Styles",
        "insertColumnLeft": "Spalte links einfügen",
        "insertColumnRight": "Spalte rechts einfügen",
        "deleteColumn": "Spalte löschen",
        "insertRowBefore": "Zeile vor einfügen",
        "insertRowAfter": "Zeile einfügen nach",
        "deleteRow": "Zeile löschen",
        "tableEditHeader": "Tabelle bearbeiten",
        "TableHeadingText": "Überschrift",
        "TableColText": "Col",
        "imageInsertLinkHeader": "Link einfügen",
        "editImageHeader": "Bild bearbeiten",
        "alignmentsDropDownLeft": "Linksbündig",
        "alignmentsDropDownCenter": "Im Zentrum anordnen",
        "alignmentsDropDownRight": "Rechts ausrichten",
        "alignmentsDropDownJustify": "Justize ausrichten",
        "imageDisplayDropDownInline": "In der Reihe",
        "imageDisplayDropDownBreak": "Brechen",
        "tableInsertRowDropDownBefore": "Reihe vorher einfügen",
        "tableInsertRowDropDownAfter": "Zeile danach einfügen",
        "tableInsertRowDropDownDelete": "Zeile löschen",
        "tableInsertColumnDropDownLeft": "Spalte links einfügen",
        "tableInsertColumnDropDownRight": "Spalte rechts einfügen",
        "tableInsertColumnDropDownDelete": "Spalte löschen",
        "tableVerticalAlignDropDownTop": "Top ausrichten",
        "tableVerticalAlignDropDownMiddle": "Mitte ausrichten",
        "tableVerticalAlignDropDownBottom": "Unten ausrichten",
        "tableStylesDropDownDashedBorder": "Gestrichelte Grenzen",
        "tableStylesDropDownAlternateRows": "Alternative Zeilen",
        "pasteFormat": "Format einfügen",
        "pasteFormatContent": "Wählen Sie die Formatierungsaktion aus",
        "plainText": "Einfacher Text",
        "cleanFormat": "sauber",
        "keepFormat": "Behalten",
        "formatsDropDownParagraph": "Absatz",
        "formatsDropDownCode": "Kodex",
        "formatsDropDownQuotation": "Zitat",
        "formatsDropDownHeading1": "Überschrift 1",
        "formatsDropDownHeading2": "Überschrift 2",
        "formatsDropDownHeading3": "Überschrift 3",
        "formatsDropDownHeading4": "Überschrift 4",
        "fontNameSegoeUI": "Segoe UI",
        "fontNameArial": "Arial",
        "fontNameGeorgia": "Georgia",
        "fontNameImpact": "Einschlag'",
        "fontNameTahoma": "Tahoma",
        "fontNameTimesNewRoman": "Mal Neu römisch",
        "fontNameVerdana": "Verdana"
      }
    }
  });

  Vue.use(RichTextEditorPlugin);

  export default {
    provide: {
      richtexteditor: [Toolbar, Link, Image, HtmlEditor, QuickToolbar]
    }
  }
</script>

<style>
@import "../../node_modules/@syncfusion/ej2-base/styles/material.css";
@import "../../node_modules/@syncfusion/ej2-inputs/styles/material.css";
@import "../../node_modules/@syncfusion/ej2-lists/styles/material.css";
@import "../../node_modules/@syncfusion/ej2-popups/styles/material.css";
@import "../../node_modules/@syncfusion/ej2-buttons/styles/material.css";
@import "../../node_modules/@syncfusion/ej2-navigations/styles/material.css";
@import "../../node_modules/@syncfusion/ej2-splitbuttons/styles/material.css";
@import "../../node_modules/@syncfusion/ej2-vue-richtexteditor/styles/material.css";
</style>

RTL

Specifies the direction of the Rich Text Editor component using the enableRtl property. For writing systems that require it like Arabic, Hebrew, etc., the direction can be switched to right-to-left.

Note: It will not change based on the locale property.

Copied to clipboard
<template>
  <ejs-richtexteditor ref="defaultRTE" :height="340" enableRtl=true>
    <p>The Rich Text Editor component is WYSIWYG ("what you see is what you get") editor that provides the best user experience to create and update the content. Users can format their content using standard toolbar commands.</p>
    <p><b>Key features:</b></p>
    <ul>
      <li>
        <p>Provides IFRAME and DIV modes</p>
      </li>
      <li>
        <p>Capable of handling markdown editing.</p>
      </li>
      <li>
        <p>Contains a modular library to load the necessary functionality on demand.</p>
      </li>
      <li>
        <p>Provides a fully customizable toolbar.</p>
      </li>
      <li>
        <p>Provides HTML view to edit the source directly for developers.</p>
      </li>
      <li>
        <p>Supports third-party library integration.</p>
      </li>
      <li>
        <p>Allows preview of modified content before saving it.</p>
      </li>
      <li>
        <p>Handles images, hyperlinks, video, hyperlinks, uploads, etc.</p>
      </li>
    </ul>
  </ejs-richtexteditor>
</template>

<script>
  import Vue from 'vue';
  import { RichTextEditorPlugin, Toolbar, Link, Image, HtmlEditor, QuickToolbar } from '@syncfusion/ej2-vue-richtexteditor';

  Vue.use(RichTextEditorPlugin);

  export default {
    provide: {
      richtexteditor: [Toolbar, Link, Image, HtmlEditor, QuickToolbar]
    }
  }
</script>

<style>
@import "../../node_modules/@syncfusion/ej2-vue-base/styles/material.css";
@import "../../node_modules/@syncfusion/ej2-vue-richtexteditor/styles/material.css";
@import "../../node_modules/@syncfusion/ej2-vue-lists/styles/material.css";
@import "../../node_modules/@syncfusion/ej2-vue-navigations/styles/material.css";
@import "../../node_modules/@syncfusion/ej2-vue-popups/styles/material.css";
@import "../../node_modules/@syncfusion/ej2-vue-splitbuttons/styles/material.css";
@import "../../node_modules/@syncfusion/ej2-vue-buttons/styles/material.css";
@import "../../node_modules/@syncfusion/ej2-vue-inputs/styles/material.css";
</style>
Contents
Contents

/ RichTextEditor / Globalization
Search results

Globalization in Angular RichTextEditor component

21 Dec 2022 / 8 minutes to read

Localization

The Rich Text Editor provides an option to localize its strings. It is used to adapting the editor to a particular local language. By default, the editor will use the US English (en-US) as its language. Please find the table with a list of keys and their corresponding values for the default language (en-US).

Copied to clipboard
'en-US': {
        'richtexteditor': {
            alignments: "Alignments",
            justifyLeft: "Align Left",
            justifyCenter: "Align Center",
            justifyRight: "Align Right",
            justifyFull: "Align Justify",
            fontName: "Font Name",
            fontSize: "Font Size",
            fontColor: "Font Color",
            backgroundColor: "Background Color",
            bold: "Bold",
            italic: "Italic",
            underline: "Underline",
            strikethrough: "Strikethrough",
            clearFormat: "Clear Format",
            clearAll: "Clear All",
            cut: "Cut",
            copy: "Copy",
            paste: "Paste",
            unorderedList: "Bulleted List",
            orderedList: "Numbered List",
            indent: "Increase Indent",
            outdent: "Decrease Indent",
            undo: "Undo",
            redo: "Redo",
            superscript: "Superscript",
            subscript: "Subscript",
            createLink: "Insert Link",
            openLink: "Open Link",
            editLink: "Edit Link",
            removeLink: "Remove Link",
            image: "Insert Image",
            replace: "Replace",
            align: "Align",
            caption: "Image Caption",
            remove: "Remove",
            insertLink: "Insert Link",
            display: "Display",
            altText: "Alternative Text",
            dimension: "Change Size",
            fullscreen: "Maximize",
            maximize: "Maximize",
            minimize: "Minimize",
            lowerCase: "Lower Case",
            upperCase: "Upper Case",
            print: "Print",
            formats: "Formats",
            sourcecode: "Code View",
            preview: "Preview",
            viewside: "ViewSide",
            insertCode: "Insert Code",
            linkText: "Display Text",
            linkTooltipLabel: "Title",
            linkWebUrl: "Web Address",
            linkTitle: "Enter a title",
            linkurl: "http://example.com",
            linkOpenInNewWindow: "Open Link in New Window",
            linkHeader: "Insert Link",
            dialogInsert: "Insert",
            dialogCancel: "Cancel",
            dialogUpdate: "Update",
            imageHeader: "Insert Image",
            imageLinkHeader: "You can also provide a link from the web",
            mdimageLink: "Please provide a URL for your image",
            imageUploadMessage: "Drop image here or browse to upload",
            imageDeviceUploadMessage: "Click here to upload",
            imageAlternateText: "Alternate Text",
            alternateHeader: "Alternative Text",
            browse: "Browse",
            imageUrl: "http://example.com/image.png",
            imageCaption: "Caption",
            imageSizeHeader: "Image Size",
            imageHeight: "Height",
            imageWidth: "Width",
            textPlaceholder: "Enter Text",
            inserttablebtn: "Insert Table",
            tabledialogHeader: "Insert Table",
            tableWidth: "Width",
            cellpadding: "Cell Padding",
            cellspacing: "Cell Spacing",
            columns: "Number of columns",
            rows: "Number of rows",
            tableRows: "Table Rows",
            tableColumns: "Table Columns",
            tableCellHorizontalAlign: "Table Cell Horizontal Align",
            tableCellVerticalAlign: "Table Cell Vertical Align",
            createTable: "Create Table",
            removeTable: "Remove Table",
            tableHeader: "Table Header",
            tableRemove: "Table Remove",
            tableCellBackground: "Table Cell Background",
            tableEditProperties: "Table Edit Properties",
            styles: "Styles",
            insertColumnLeft: "Insert Column Left",
            insertColumnRight: "Insert Column Right",
            deleteColumn: "Delete Column",
            insertRowBefore: "Insert Row Before",
            insertRowAfter: "Insert Row After",
            deleteRow: "Delete Row",
            tableEditHeader: "Edit Table",
            TableHeadingText: "Heading",
            TableColText: "Col",
            imageInsertLinkHeader: "Insert Link",
            editImageHeader: "Edit Image",
            alignmentsDropDownLeft: "Align Left",
            alignmentsDropDownCenter: "Align Center",
            alignmentsDropDownRight: "Align Right",
            alignmentsDropDownJustify: "Align Justify",
            imageDisplayDropDownInline: "Inline",
            imageDisplayDropDownBreak: "Break",
            tableInsertRowDropDownBefore: "Insert row before",
            tableInsertRowDropDownAfter: "Insert row after",
            tableInsertRowDropDownDelete: "Delete row",
            tableInsertColumnDropDownLeft: "Insert column left",
            tableInsertColumnDropDownRight: "Insert column right",
            tableInsertColumnDropDownDelete: "Delete column",
            tableVerticalAlignDropDownTop: "Align Top",
            tableVerticalAlignDropDownMiddle: "Align Middle",
            tableVerticalAlignDropDownBottom: "Align Bottom",
            tableStylesDropDownDashedBorder: "Dashed Borders",
            tableStylesDropDownAlternateRows: "Alternate Rows",
            pasteFormat: "Paste Format",
            pasteFormatContent: "Choose the formatting action",
            plainText: "Plain Text",
            cleanFormat: "Clean",
            keepFormat: "Keep",
            formatsDropDownParagraph: "Paragraph",
            formatsDropDownCode: "Code",
            formatsDropDownQuotation: "Quotation",
            formatsDropDownHeading1: "Heading 1",
            formatsDropDownHeading2: "Heading 2",
            formatsDropDownHeading3: "Heading 3",
            formatsDropDownHeading4: "Heading 4",
            fontNameSegoeUI: "Segoe UI",
            fontNameArial: "Arial",
            fontNameGeorgia: "Georgia",
            fontNameImpact: "Impact",
            fontNameTahoma: "Tahoma",
            fontNameTimesNewRoman: "Times New Roman",
            fontNameVerdana: "Verdana"
        }
    }

To localize the editor’s strings with your own localization, copy the default language informations and localize the strings in the values column. For example, to localize the editor in German language (“de-DE”).

Copied to clipboard
'de-DE': {
        'richtexteditor': {
            alignments: "Alignments",
            justifyLeft: "Ausrichten von Text links",
            justifyCenter: "Text-Zentrum",
            justifyRight: "Ausrichten von Text rechts",
            justifyFull: "rechtfertigen",
            fontName: "Wählen Sie Schriftfamilie",
            fontSize: "Wählen Sie Schriftgröße",
            fontColor: "Wählen Sie die Farbe",
            backgroundColor: "Hintergrundfarbe",
            bold: "fett",
            italic: "kursiv",
            underline: "unterstreichen",
            strikethrough: "Durchgestrichen",
            clearAll: "Alles",
            clearFormat: "Klar Format",
            cut: "schneiden",
            copy: "Kopieren",
            paste: "Paste",
            unorderedList: "Legen Sie ungeordnete Liste",
            orderedList: "Geordnete Liste einfügen",
            indent: "Einzug",
            outdent: "Einzug verkleinern",
            undo: "lösen",
            redo: "Wiederherstellen",
            superscript: "Überschrift",
            subscript: "index",
            createLink: "Link einfügen",
            removeLink: "fjern Hyperlink",
            openLink: "Open link",
            editLink: "Edit link",
            image: "Bild einfügen",
            replace: "ersetzen",
            align: "ausrichten",
            caption: "Bildbeschriftung",
            formats: "Formats",
            remove: "Löschen",
            insertLink: "Link einfügen",
            display: "Anzeige",
            alttext: "alternativer Text",
            dimension: "Größe",
            fullscreen: "Vollbild",
            maximize: "Maximieren",
            minimize: "minimieren",
            zoomIn: "hineinzoomen",
            zoomOut: "Rauszoomen",
            upperCase: "Großbuchstaben",
            lowerCase: "Kleinbuchstaben",
            print: "Drucken",
            sourcecode: "Quellcode",
            preview: "Vorschau",
            viewside: "Seite anzeigen",
            insertcode: "Code eingeben",
            linkText: "Displaytekst",
            linkTooltipLabel: "tooltip",
            linkWebUrl: "Webadres",
            linkOpenInNewWindow: "Open de link in een nieuw venster",
            linkHeader: "Link invoegen",
            dialogInsert: "invoegen",
            dialogCancel: "Annuleer",
            dialogUpdate: "Bijwerken",
            imageHeader: "Voeg afbeelding in",
            imageLinkHeader: "U kunt ook een link van internet opgeven",
            imageUploadMessage: "Zet hier een afbeelding neer of klik om te uploaden",
            imageDeviceUploadMessage: "Klik hier om te uploaden",
            imageAlternateText: "Alternatieve tekst",
            alternateHeader: "Alternatieve tekst",
            browse: "Blader",
            imageUrl: "URL",
            imageCaption: "onderschrift",
            imageSizeHeader: "Afbeeldingsgrootte",
            imageHeight: "Hoogte",
            imageWidth: "Breedte",
            textPlaceholder: "Text eingeben",
            inserttablebtn: "Tabelle einfügen",
            tabledialogHeader: "Tabelle einfügen",
            tableWidth: "Breite",
            cellpadding: "Zellauffüllung",
            cellspacing: "Zellabstand",
            columns: "Anzahl der Spalten",
            rows: "Reihenanzahl",
            tableRows: "Tabellenzeilen",
            tableColumns: "Tabellenspalten",
            tableCellHorizontalAlign: "Horizontale Ausrichtung der Tabellenzelle",
            tableCellVerticalAlign: "Vertikale Ausrichtung der Tabellenzelle",
            createTable: "Tabelle erstellen",
            removeTable: "Tabelle entfernen",
            tableHeader: "Tabellenkopfzeile",
            tableRemove: "Tabelle entfernen",
            tableCellBackground: "Tabellenzellenhintergrund",
            tableEditProperties: "Eigenschaften der Tabellenbearbeitung",
            styles: "Styles",
            insertColumnLeft: "Spalte links einfügen",
            insertColumnRight: "Spalte rechts einfügen",
            deleteColumn: "Spalte löschen",
            insertRowBefore: "Zeile vor einfügen",
            insertRowAfter: "Zeile einfügen nach",
            deleteRow: "Zeile löschen",
            tableEditHeader: "Tabelle bearbeiten",
            TableHeadingText: "Überschrift",
            TableColText: "Col",
            imageInsertLinkHeader: "Link einfügen",
            editImageHeader: "Bild bearbeiten",
            alignmentsDropDownLeft: "Linksbündig",
            alignmentsDropDownCenter: "Im Zentrum anordnen",
            alignmentsDropDownRight: "Rechts ausrichten",
            alignmentsDropDownJustify: "Justize ausrichten",
            imageDisplayDropDownInline: "In der Reihe",
            imageDisplayDropDownBreak: "Brechen",
            tableInsertRowDropDownBefore: "Reihe vorher einfügen",
            tableInsertRowDropDownAfter: "Zeile danach einfügen",
            tableInsertRowDropDownDelete: "Zeile löschen",
            tableInsertColumnDropDownLeft: "Spalte links einfügen",
            tableInsertColumnDropDownRight: "Spalte rechts einfügen",
            tableInsertColumnDropDownDelete: "Spalte löschen",
            tableVerticalAlignDropDownTop: "Top ausrichten",
            tableVerticalAlignDropDownMiddle: "Mitte ausrichten",
            tableVerticalAlignDropDownBottom: "Unten ausrichten",
            tableStylesDropDownDashedBorder: "Gestrichelte Grenzen",
            tableStylesDropDownAlternateRows: "Alternative Zeilen",
            pasteFormat: "Format einfügen",
            pasteFormatContent: "Wählen Sie die Formatierungsaktion aus",
            plainText: "Einfacher Text",
            cleanFormat: "sauber",
            keepFormat: "Behalten",
            formatsDropDownParagraph: "Absatz",
            formatsDropDownCode: "Kodex",
            formatsDropDownQuotation: "Zitat",
            formatsDropDownHeading1: "Überschrift 1",
            formatsDropDownHeading2: "Überschrift 2",
            formatsDropDownHeading3: "Überschrift 3",
            formatsDropDownHeading4: "Überschrift 4",
            fontNameSegoeUI: "Segoe UI",
            fontNameArial: "Arial",
            fontNameGeorgia: "Georgia",
            fontNameImpact: "Einschlag",
            fontNameTahoma: "Tahoma",
            fontNameTimesNewRoman: "Mal Neu römisch",
            fontNameVerdana: "Verdana"

            }
        },

The below sample demonstrate that, the Rich Text Editor control rendered with ‘de-DE’ German language using locale property.

Copied to clipboard
import { enableRipple } from '@syncfusion/ej2-base';
import { L10n } from '@syncfusion/ej2-base';
enableRipple(true);
/**
 * Rich Text Editor localization sample
 */

L10n.load({
    'de-DE': {
        'richtexteditor': {
            alignments: "Ausrichtungen",
            justifyLeft: "Linksbündig",
            justifyCenter: "Im Zentrum anordnen",
            justifyRight: "Rechts ausrichten",
            justifyFull: "Justize ausrichten",
            fontName: "Schriftartenname",
            fontSize: "Schriftgröße",
            fontColor: "Schriftfarbe",
            backgroundColor: "Hintergrundfarbe",
            bold: "Fett gedruckt",
            italic: "Kursiv",
            underline: "Unterstreichen",
            strikethrough: "Durchgestrichen",
            clearFormat: "Format löschen",
            clearAll: "Alles löschen",
            cut: "Schnitt",
            copy: "Kopieren",
            paste: "Einfügen",
            unorderedList: "Liste mit Aufzählungszeichen",
            orderedList: "Nummerierte Liste",
            indent: "Einzug vergrößern",
            outdent: "Einzug verringern",
            undo: "Rückgängig machen",
            redo: "Wiederholen",
            superscript: "Hochgestellt",
            subscript: "Index",
            createLink: "Link einfügen",
            openLink: "Verbindung öffnen",
            editLink: "Link bearbeiten",
            removeLink: "Link entfernen",
            image: "Bild einfügen",
            replace: "Ersetzen",
            align: "Ausrichten",
            caption: "Bildbeschreibung",
            remove: "Löschen",
            insertLink: "Link einfügen",
            display: "Anzeige",
            altText: "alternativer Text",
            dimension: "Größe ändern",
            fullscreen: "Maximieren",
            maximize: "Maximieren",
            minimize: "Minimieren",
            lowerCase: "Kleinbuchstaben",
            upperCase: "Großbuchstaben",
            print: "Drucken",
            formats: "Formate",
            sourcecode: "Codeansicht",
            preview: "Vorschau",
            viewside: "Ansicht Seite",
            insertCode: "Code eingeben",
            linkText: "Text anzeigen",
            linkTooltipLabel: "Titel",
            linkWebUrl: "Webadresse",
            linkTitle: "Titel eingeben",
            linkurl: "http://example.com",
            linkOpenInNewWindow: "Link in neuem Fenster öffnen",
            linkHeader: "Link einfügen",
            dialogInsert: "Einfügen",
            dialogCancel: "Stornieren",
            dialogUpdate: "Aktualisieren",
            imageHeader: "Bild einfügen",
            imageLinkHeader: "Sie können auch einen Link aus dem Web bereitstellen",
            mdimageLink: "Bitte geben Sie eine URL für Ihr Bild an",
            imageUploadMessage: "Bild hier ablegen oder hoch laden",
            imageDeviceUploadMessage: "Klicken Sie hier zum Hochladen",
            imageAlternateText: "Alternativer Text",
            alternateHeader: "alternativer Text",
            browse: "Durchsuche",
            imageUrl: "http://example.com/image.png",
            imageCaption: "Bildbeschriftung",
            imageSizeHeader: "Bildgröße",
            imageHeight: "Höhe",
            imageWidth: "Breite",
            textPlaceholder: "Text eingeben",
            inserttablebtn: "Tabelle einfügen",
            tabledialogHeader: "Tabelle einfügen",
            tableWidth: "Breite",
            cellpadding: "Zellauffüllung",
            cellspacing: "Zellabstand",
            columns: "Anzahl der Spalten",
            rows: "Reihenanzahl",
            tableRows: "Tabellenzeilen",
            tableColumns: "Tabellenspalten",
            tableCellHorizontalAlign: "Horizontale Ausrichtung der Tabellenzelle",
            tableCellVerticalAlign: "Vertikale Ausrichtung der Tabellenzelle",
            createTable: "Tabelle erstellen",
            removeTable: "Tabelle entfernen",
            tableHeader: "Tabellenkopfzeile",
            tableRemove: "Tabelle entfernen",
            tableCellBackground: "Tabellenzellenhintergrund",
            tableEditProperties: "Eigenschaften der Tabellenbearbeitung",
            styles: "Styles",
            insertColumnLeft: "Spalte links einfügen",
            insertColumnRight: "Spalte rechts einfügen",
            deleteColumn: "Spalte löschen",
            insertRowBefore: "Zeile vor einfügen",
            insertRowAfter: "Zeile einfügen nach",
            deleteRow: "Zeile löschen",
            tableEditHeader: "Tabelle bearbeiten",
            TableHeadingText: "Überschrift",
            TableColText: "Col",
            imageInsertLinkHeader: "Link einfügen",
            editImageHeader: "Bild bearbeiten",
            alignmentsDropDownLeft: "Linksbündig",
            alignmentsDropDownCenter: "Im Zentrum anordnen",
            alignmentsDropDownRight: "Rechts ausrichten",
            alignmentsDropDownJustify: "Justize ausrichten",
            imageDisplayDropDownInline: "In der Reihe",
            imageDisplayDropDownBreak: "Brechen",
            tableInsertRowDropDownBefore: "Reihe vorher einfügen",
            tableInsertRowDropDownAfter: "Zeile danach einfügen",
            tableInsertRowDropDownDelete: "Zeile löschen",
            tableInsertColumnDropDownLeft: "Spalte links einfügen",
            tableInsertColumnDropDownRight: "Spalte rechts einfügen",
            tableInsertColumnDropDownDelete: "Spalte löschen",
            tableVerticalAlignDropDownTop: "Top ausrichten",
            tableVerticalAlignDropDownMiddle: "Mitte ausrichten",
            tableVerticalAlignDropDownBottom: "Unten ausrichten",
            tableStylesDropDownDashedBorder: "Gestrichelte Grenzen",
            tableStylesDropDownAlternateRows: "Alternative Zeilen",
            formatsDropDownParagraph: "Absatz",
            formatsDropDownCode: "Kodex",
            formatsDropDownQuotation: "Zitat",
            formatsDropDownHeading1: "Überschrift 1",
            formatsDropDownHeading2: "Überschrift 2",
            formatsDropDownHeading3: "Überschrift 3",
            formatsDropDownHeading4: "Überschrift 4",
            fontNameSegoeUI: "Segoe UI",
            fontNameArial: "Arial",
            fontNameGeorgia: "Georgia",
            fontNameImpact: "Einschlag",
            fontNameTahoma: "Tahoma",
            fontNameTimesNewRoman: "Mal Neu römisch",
            fontNameVerdana: "Verdana"
           }
       }
});

import { Component } from '@angular/core';
    import { ToolbarService, LinkService, ImageService, HtmlEditorService } from '@syncfusion/ej2-angular-richtexteditor';
    @Component({
        selector: 'app-root',
        template: `<ejs-richtexteditor id='defaultRTE' locale = 'de-DE'></ejs-richtexteditor>`,
        providers: [ToolbarService, LinkService, ImageService, HtmlEditorService]
    })
    export class AppComponent  {
    }
Copied to clipboard
import { NgModule } from '@angular/core';
import { BrowserModule } from '@angular/platform-browser';
import { RichTextEditorAllModule } from '@syncfusion/ej2-angular-richtexteditor';
import { AppComponent } from './app.component';
import { DialogModule } from '@syncfusion/ej2-angular-popups';

/**
 * Module
 */
@NgModule({
    imports: [
        BrowserModule,
        RichTextEditorAllModule,
        DialogModule
    ],
    declarations: [AppComponent],
    bootstrap: [AppComponent]
})
export class AppModule { }
Copied to clipboard
import { platformBrowserDynamic } from '@angular/platform-browser-dynamic';
import { enableProdMode } from '@angular/core';
import { AppModule } from './app.module';

enableProdMode();
platformBrowserDynamic().bootstrapModule(AppModule);
Copied to clipboard
<!DOCTYPE html>
<html lang="en">

<head>
            <script src="https://cdn.syncfusion.com/ej2/syncfusion-helper.js"></script>
    <title>Syncfusion Angular Rich Text Editor</title>
    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <meta name="description" content="Typescript UI Controls" />
    <meta name="author" content="Syncfusion" />
    <link href="//cdn.syncfusion.com/ej2/20.4.38/ej2-richtexteditor/styles/material.css" rel="stylesheet" />
    <link href="//cdn.syncfusion.com/ej2/20.4.38/ej2-base/styles/material.css" rel="stylesheet" />
    <link href="//cdn.syncfusion.com/ej2/20.4.38/ej2-dropdowns/styles/material.css" rel="stylesheet" />
    <link href="//cdn.syncfusion.com/ej2/20.4.38/ej2-lists/styles/material.css" rel="stylesheet" />
    <link href="//cdn.syncfusion.com/ej2/20.4.38/ej2-popups/styles/material.css" rel="stylesheet" />
    <link href="//cdn.syncfusion.com/ej2/20.4.38/ej2-buttons/styles/material.css" rel="stylesheet" />
    <link href="//cdn.syncfusion.com/ej2/20.4.38/ej2-splitbuttons/styles/material.css" rel="stylesheet" />
    <link href="//cdn.syncfusion.com/ej2/20.4.38/ej2-inputs/styles/material.css" rel="stylesheet" />
    <link href="//cdn.syncfusion.com/ej2/20.4.38/ej2-navigations/styles/material.css" rel="stylesheet" />
    <script src="https://unpkg.com/core-js/client/shim.min.js"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/core-js/2.4.1/core.min.js"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/zone.js/0.9.0/zone.min.js"></script>
    <script src="https://unpkg.com/reflect-metadata@0.1.3"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/systemjs/0.19.38/system.js"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/marked/0.3.19/marked.js" type="text/javascript"></script>
    <script src="https://jsplayground.syncfusion.com/16.1.0.24/scripts/web/codemirror/codemirror.js" type="text/javascript"></script>
    <script src="https://jsplayground.syncfusion.com/16.1.0.24/scripts/web/codemirror/javascript.js" type="text/javascript"></script>
    <script src="https://jsplayground.syncfusion.com/16.1.0.24/scripts/web/codemirror/css.js" type="text/javascript"></script>
    <script src="https://jsplayground.syncfusion.com/16.1.0.24/scripts/web/codemirror/xml.js" type="text/javascript"></script>
    <script src="https://jsplayground.syncfusion.com/16.1.0.24/scripts/web/codemirror/htmlmixed.js" type="text/javascript"></script>
    <link href="https://jsplayground.syncfusion.com/16.1.0.24/scripts/web/codemirror/codemirror.min.css" rel="stylesheet" />
    <script src="systemjs.config.js"></script>
    <style>
    #loader {
        color: #008cff;
        font-family:  'Helvetica Neue','calibiri';
        font-size: 16px;
        height: 40px;
        left: 45%;
        position: absolute;
        top: 45%;
        width: 30%;
    }
     .e-code-mirror::before {
        content: '\e345';
    }
    .CodeMirror-linenumber,
    .CodeMirror-gutters {
        display: none;
    }

    #special_char,
    .char_block {
        display: inline-block;
    }
    .char_block.e-active {
        /* box-shadow: inset 3px 3px 7px 0px; */
        outline: 1.5px solid;
    }

    .char_block {
        width: 30px;
        height: 30px;
        line-height: 30px;
        margin: 0 5px 5px 0;
        text-align: center;
        vertical-align: middle;
        border: 1px solid #DDDDDD;
        font-size: 20px;
        cursor: pointer;
        user-select: none;
    }

    #custom_tbar,
    #custom_tbar div{
        cursor: pointer;
    }


    #rteSection {
        height: 500px;
    }
  .e-rte-quick-popup .e-rte-quick-toolbar .e-roatate-left::before {
        content: "\e76e";
    }

    .e-rte-quick-popup .e-rte-quick-toolbar .e-roatate-right::before {
        content: "\e726";
    }

    .e-richtexteditor textarea.e-content {
      float: left;
    }
    .e-richtexteditor .e-rte-content {
      overflow: hidden;
    }
    .e-rte-content .e-content.e-pre-source{
      width: 100%;
    }

    .property-panel-content td{
        width: 50%;
    }
    .property-panel-content td div {
        padding-left: 10px;
        padding-top: 10px;
    }

    .e-icon-btn.e-active .e-md-preview::before {
        content: '\e350';
    }

	.e-icon-btn .e-md-preview.e-icons::before {
		content: '\e345';
	}
    .e-icon-btn.e-active .e-md-preview::before,
    #mdCustom .e-icon-btn.e-active .e-md-preview.e-icons::before {
		content: '\e350';
	}
	#mdCustom .e-icon-btn .e-md-preview.e-icons::before {
		content: '\e345';
    }

    #rteDialog.e-dialog .e-dlg-content {
        padding: 0px 0px 5px 16px;
    }
    #custom_tbar .e-tbar-btn-text {
        font-size: 16px;
    }
    .e-bigger #custom_tbar .e-tbar-btn-text {
        font-size: 18px;
    }

    @media (min-width: 320px) and (max-width: 480px) {
        .fabric.e-bigger #rteDialog {
            min-width: 281px;
        }

        .fabric #rteDialog {
            min-width: 241px;
        }

        .bootstrap.e-bigger #rteDialog,
        .bootstrap #rteDialog {
            min-width: 223px;
        }

        .highcontrast.e-bigger #rteDialog {
            min-width: 283px;
        }
        .highcontrast #rteDialog {
            min-width: 243px;
        }
        .material #rteDialog {
            min-width: 224px;
        }
        .material.e-bigger #rteDialog {
            min-width: 236px;
        }
    }

</style>
</head>

<body>
    <app-root>
        <div id='loader'>Loading....</div>
    </app-root>
</body>

</html>

RTL

Specifies the direction of the Rich Text Editor component using the enableRtl property. For writing systems that require it like Arabic, Hebrew, etc., the direction can be switched to right-to-left.

It will not change based on the locale property.

Copied to clipboard
import { Component } from '@angular/core';
import { ToolbarService, LinkService, ImageService, HtmlEditorService } from '@syncfusion/ej2-angular-richtexteditor';

@Component({
    selector: 'app-root',
    template: `<ejs-richtexteditor id='defaultRTE' [enableRtl] = 'rtl'></ejs-richtexteditor>`,
    providers: [ToolbarService, LinkService, ImageService, HtmlEditorService]
})
export class AppComponent  {
    public rtl = true;
}
Copied to clipboard
import { NgModule } from '@angular/core';
import { BrowserModule } from '@angular/platform-browser';
import { RichTextEditorAllModule } from '@syncfusion/ej2-angular-richtexteditor';
import { AppComponent } from './app.component';
import { DialogModule } from '@syncfusion/ej2-angular-popups';

/**
 * Module
 */
@NgModule({
    imports: [
        BrowserModule,
        RichTextEditorAllModule,
        DialogModule
    ],
    declarations: [AppComponent],
    bootstrap: [AppComponent]
})
export class AppModule { }
Copied to clipboard
import { platformBrowserDynamic } from '@angular/platform-browser-dynamic';
import { enableProdMode } from '@angular/core';
import { AppModule } from './app.module';

enableProdMode();
platformBrowserDynamic().bootstrapModule(AppModule);
Copied to clipboard
<!DOCTYPE html>
<html lang="en">

<head>
            <script src="https://cdn.syncfusion.com/ej2/syncfusion-helper.js"></script>
    <title>Syncfusion Angular Rich Text Editor</title>
    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <meta name="description" content="Typescript UI Controls" />
    <meta name="author" content="Syncfusion" />
    <link href="//cdn.syncfusion.com/ej2/20.4.38/ej2-richtexteditor/styles/material.css" rel="stylesheet" />
    <link href="//cdn.syncfusion.com/ej2/20.4.38/ej2-base/styles/material.css" rel="stylesheet" />
    <link href="//cdn.syncfusion.com/ej2/20.4.38/ej2-dropdowns/styles/material.css" rel="stylesheet" />
    <link href="//cdn.syncfusion.com/ej2/20.4.38/ej2-lists/styles/material.css" rel="stylesheet" />
    <link href="//cdn.syncfusion.com/ej2/20.4.38/ej2-popups/styles/material.css" rel="stylesheet" />
    <link href="//cdn.syncfusion.com/ej2/20.4.38/ej2-buttons/styles/material.css" rel="stylesheet" />
    <link href="//cdn.syncfusion.com/ej2/20.4.38/ej2-splitbuttons/styles/material.css" rel="stylesheet" />
    <link href="//cdn.syncfusion.com/ej2/20.4.38/ej2-inputs/styles/material.css" rel="stylesheet" />
    <link href="//cdn.syncfusion.com/ej2/20.4.38/ej2-navigations/styles/material.css" rel="stylesheet" />
    <script src="https://unpkg.com/core-js/client/shim.min.js"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/core-js/2.4.1/core.min.js"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/zone.js/0.9.0/zone.min.js"></script>
    <script src="https://unpkg.com/reflect-metadata@0.1.3"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/systemjs/0.19.38/system.js"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/marked/0.3.19/marked.js" type="text/javascript"></script>
    <script src="https://jsplayground.syncfusion.com/16.1.0.24/scripts/web/codemirror/codemirror.js" type="text/javascript"></script>
    <script src="https://jsplayground.syncfusion.com/16.1.0.24/scripts/web/codemirror/javascript.js" type="text/javascript"></script>
    <script src="https://jsplayground.syncfusion.com/16.1.0.24/scripts/web/codemirror/css.js" type="text/javascript"></script>
    <script src="https://jsplayground.syncfusion.com/16.1.0.24/scripts/web/codemirror/xml.js" type="text/javascript"></script>
    <script src="https://jsplayground.syncfusion.com/16.1.0.24/scripts/web/codemirror/htmlmixed.js" type="text/javascript"></script>
    <link href="https://jsplayground.syncfusion.com/16.1.0.24/scripts/web/codemirror/codemirror.min.css" rel="stylesheet" />
    <script src="systemjs.config.js"></script>
    <style>
    #loader {
        color: #008cff;
        font-family:  'Helvetica Neue','calibiri';
        font-size: 16px;
        height: 40px;
        left: 45%;
        position: absolute;
        top: 45%;
        width: 30%;
    }
     .e-code-mirror::before {
        content: '\e345';
    }
    .CodeMirror-linenumber,
    .CodeMirror-gutters {
        display: none;
    }

    #special_char,
    .char_block {
        display: inline-block;
    }
    .char_block.e-active {
        /* box-shadow: inset 3px 3px 7px 0px; */
        outline: 1.5px solid;
    }

    .char_block {
        width: 30px;
        height: 30px;
        line-height: 30px;
        margin: 0 5px 5px 0;
        text-align: center;
        vertical-align: middle;
        border: 1px solid #DDDDDD;
        font-size: 20px;
        cursor: pointer;
        user-select: none;
    }

    #custom_tbar,
    #custom_tbar div{
        cursor: pointer;
    }


    #rteSection {
        height: 500px;
    }
  .e-rte-quick-popup .e-rte-quick-toolbar .e-roatate-left::before {
        content: "\e76e";
    }

    .e-rte-quick-popup .e-rte-quick-toolbar .e-roatate-right::before {
        content: "\e726";
    }

    .e-richtexteditor textarea.e-content {
      float: left;
    }
    .e-richtexteditor .e-rte-content {
      overflow: hidden;
    }
    .e-rte-content .e-content.e-pre-source{
      width: 100%;
    }

    .property-panel-content td{
        width: 50%;
    }
    .property-panel-content td div {
        padding-left: 10px;
        padding-top: 10px;
    }

    .e-icon-btn.e-active .e-md-preview::before {
        content: '\e350';
    }

	.e-icon-btn .e-md-preview.e-icons::before {
		content: '\e345';
	}
    .e-icon-btn.e-active .e-md-preview::before,
    #mdCustom .e-icon-btn.e-active .e-md-preview.e-icons::before {
		content: '\e350';
	}
	#mdCustom .e-icon-btn .e-md-preview.e-icons::before {
		content: '\e345';
    }

    #rteDialog.e-dialog .e-dlg-content {
        padding: 0px 0px 5px 16px;
    }
    #custom_tbar .e-tbar-btn-text {
        font-size: 16px;
    }
    .e-bigger #custom_tbar .e-tbar-btn-text {
        font-size: 18px;
    }

    @media (min-width: 320px) and (max-width: 480px) {
        .fabric.e-bigger #rteDialog {
            min-width: 281px;
        }

        .fabric #rteDialog {
            min-width: 241px;
        }

        .bootstrap.e-bigger #rteDialog,
        .bootstrap #rteDialog {
            min-width: 223px;
        }

        .highcontrast.e-bigger #rteDialog {
            min-width: 283px;
        }
        .highcontrast #rteDialog {
            min-width: 243px;
        }
        .material #rteDialog {
            min-width: 224px;
        }
        .material.e-bigger #rteDialog {
            min-width: 236px;
        }
    }

</style>
</head>

<body>
    <app-root>
        <div id='loader'>Loading....</div>
    </app-root>
</body>

</html>
Contents
Contents